
%% Club the (k,h) data obtained from both subharmonic and harmonic case and plot the whole stability chart

clear all;
close all;
clc;

load SH_cyl_inviscid
h = plot(p,q,'.','markersize',10); hold on;
clear;

load H_cyl   
load SH_cyl


set(gcf,'Position',[250 250 1000 750]);

h = plot(p,q,'k.','markersize',15); hold on;
l= plot(u,v,'k.','markersize',15);
k = 4.8:0.1:100;
h1 = 0:100:1.8e04;

plot(k,2.17e04,'b.','markersize',15)
plot(k,1.23e04,'b.','markersize',15)
% plot(4.8,h1,'g.','markersize',5)
plot(4.8,1.8e04,'r.','markersize',30)
plot(3.48,4.1e04,'p','MarkerFaceColor','m','MarkerEdgeColor','m','markersize',14)
% plot(4.8,1.23e04,'r.','markersize',30)
axis([0 40 0 50000]);
set(gca,'FontSize',20);

xlabel('$k$','Interpreter','latex','FontSize',40,'FontWeight','bold');
y = ylabel('$h$','Interpreter','latex','FontSize',40,'FontWeight','bold','rotation',1);
set(y, 'position', get(y,'position')-[1,0.5,0]);
% hold off;
m = [h;l];
% legend(m,{'Subharmonic','Harmonic'},'FontSize',15,'Position',[0.75 0.8 0.05 0.02]);
saveas(gcf,'./figure4.eps','epsc');
